﻿/*Vehicle Cab checklist form CSS*/
.text-align-right {
text-align:right;
margin-right:5%;
}
.marginFromLeftandRight0px {
margin-left:0px;
margin-right:0px;
}
/*ENd*/
.mt-1-2 {
margin-top:1.2%;}
.navbar {
    padding: 2px 10px !important;
}

.dropdown-menu {
    background-color: steelblue;
}

    .dropdown-menu > li {
        color: #fff;
        padding: 3px 10px;
    }

        .dropdown-menu > li > a {
            text-decoration: none;
        }

        .dropdown-menu > li:hover {
            color: steelblue;
            background-color: #fff;
            padding: 3px 10px;
            text-decoration: none;
        }

        .dropdown-menu > li > a:hover {
            text-decoration: none;
        }
.float-left {
    float:left;
}
.width70 {
float:left;
margin-left:5%;

}
.paddingbot {
    padding: .375rem .75rem 1.5rem !important;
}
.width40 {
width:40%;}
.width30 {
    width: 30%;
}
.width70per {
width:70%;}
.bg-steel {
    /*background-color: steelblue !important;*/
    background: linear-gradient(to bottom, rgb(57, 108, 158) 0%, rgb(130, 192, 255) 41%, rgb(87, 140, 218) 81%, rgb(72, 105, 150) 100%);
}

.text-white {
    color: #fff;
}

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

body {
    font-size: 14px;
}


.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    /*margin-bottom: 60px;*/
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}


/*Sidebar Start*/



body {
    overflow-x: hidden;
}

#wrapper {
    padding-left: 0;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

    #wrapper.toggled {
        padding-left: 250px;
    }

#sidebar-wrapper {
    z-index: 1000;
    position: fixed;
    left: 0px;
    width: 0;
    height: 100%;
    margin-right: -250px;
    overflow-y: auto;
    /*background: #000;*/
    box-shadow: 2px 3px 3px 2px #ccc;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

#wrapper.toggled #sidebar-wrapper {
    width: 250px;
}

#page-content-wrapper {
    width: 100%;
    position: absolute;
    padding: 15px;
}

#wrapper.toggled #page-content-wrapper {
    position: absolute;
    margin-right: 0px;
}


/* Sidebar Styles */

.sidebar-nav {
    position: absolute;
    top: 0;
    width: 250px;
    margin: 0;
    padding: 0;
    list-style: none;
}

    .sidebar-nav li {
        text-indent: 20px;
        line-height: 40px;
    }

        .sidebar-nav li a {
            display: block;
            text-decoration: none;
            color: #999999;
        }

            .sidebar-nav li a:hover {
                text-decoration: none;
                color: #fff;
                background: steelblue;
            }

            .sidebar-nav li a:active, .sidebar-nav li a:focus {
                text-decoration: none;
            }

    .sidebar-nav > .sidebar-brand {
        height: 65px;
        font-size: 18px;
        line-height: 60px;
    }

        .sidebar-nav > .sidebar-brand a {
            color: #999999;
        }

            .sidebar-nav > .sidebar-brand a:hover {
                /*color: #fff;*/
                color: steelblue;
                background: none;
            }

@media(min-width:768px) {
    #wrapper {
        padding-left: 0;
    }

        #wrapper.toggled {
            padding-left: 250px;
        }

    #sidebar-wrapper {
        width: 0;
    }

    #wrapper.toggled #sidebar-wrapper {
        width: 250px;
    }

    #page-content-wrapper {
        padding: 20px;
        position: relative;
    }

    #wrapper.toggled #page-content-wrapper {
        position: relative;
        margin-right: 0;
    }
}


/*Sidebar End*/



/*Login Start*/

body {
    color: #000;
    overflow-x: hidden;
    height: 100%;
    /*background-color: #B0BEC5;*/
    background-color: #fff;
    background-repeat: no-repeat
}

.card0 {
    box-shadow: 0px 4px 8px 0px #757575;
    border-radius: 0px
}

.card2 {
    margin: 0px 40px
}

.logo {
    /*width: 200px;
    height: 100px;*/
    height: 35px;
    margin-top: 20px;
    margin-left: 35px
}

.image {
    /*width: 360px;
    height: 280px*/
    height: 180px;
}

.logo-text {
    text-align: center;
    /*margin-top: -100px;*/
    color: steelblue;
}

.logo-large {
    font-size: 40px;
    font-weight: bold;
}

.logo-small {
    font-size: 30px;
    font-weight: bold;
    font-style: italic;
}

.border-line {
    border-right: 1px solid #EEEEEE
}

.facebook {
    background-color: #3b5998;
    color: #fff;
    font-size: 18px;
    padding-top: 5px;
    border-radius: 50%;
    width: 35px;
    height: 35px;
    cursor: pointer
}

.twitter {
    background-color: #1DA1F2;
    color: #fff;
    font-size: 18px;
    padding-top: 5px;
    border-radius: 50%;
    width: 35px;
    height: 35px;
    cursor: pointer
}

.linkedin {
    background-color: #2867B2;
    color: #fff;
    font-size: 18px;
    padding-top: 5px;
    border-radius: 50%;
    width: 35px;
    height: 35px;
    cursor: pointer
}

.line {
    height: 1px;
    width: 45%;
    background-color: #E0E0E0;
    margin-top: 10px
}

.or {
    width: 10%;
    font-weight: bold
}

.text-sm {
    font-size: 14px !important
}

::placeholder {
    color: #BDBDBD;
    opacity: 1;
    font-weight: 300
}

:-ms-input-placeholder {
    color: #BDBDBD;
    font-weight: 300
}

::-ms-input-placeholder {
    color: #BDBDBD;
    font-weight: 300
}

input,
textarea, select {
    padding: 10px 12px 10px 12px;
    border: 1px solid lightgrey;
    border-radius: 2px;
    margin-bottom: 5px;
    margin-top: 2px;
    width: 100%;
    box-sizing: border-box;
    color: #2C3E50;
    font-size: 14px;
    letter-spacing: 1px
}

    input:focus,
    textarea:focus {
        -moz-box-shadow: none !important;
        -webkit-box-shadow: none !important;
        box-shadow: none !important;
        border: 1px solid #304FFE;
        outline-width: 0
    }

button:focus {
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
    outline-width: 0
}

a {
    color: inherit;
    cursor: pointer
}

.btn-blue {
    background-color: steelblue;
    width: 150px;
    color: #fff;
    border-radius: 2px
}

    .btn-blue:hover {
        background-color: #315b7d;
        color: #fff;
        cursor: pointer
    }

.bg-blue {
    color: #fff;
    background-color: steelblue
}

@media screen and (max-width: 991px) {
    .logo {
        margin-left: 0px
    }

    .image {
        width: 300px;
        height: 220px
    }

    .border-line {
        border-right: none
    }

    .card2 {
        border-top: 1px solid #EEEEEE !important;
        margin: 0px 15px
    }
}

.error {
    border: 1px solid red;
}

.error-text {
    color: red;
    position: absolute;
    margin-top: 65px;
    font-size: 12px;
}

.field-validation-error {
    color: red;
    font-size: 12px;
    margin-top: -10px;
    margin-bottom: 10px;
}

/*Login End*/


/*Loader Start*/
#loader {
    border: 16px solid #f3f3f3;
    border-radius: 50%;
    border-top: 16px solid #3498db;
    width: 50px;
    height: 50px;
    z-index: 9909;
    opacity: 1;
    -webkit-animation: spin 2s linear infinite; /* Safari */
    animation: spin 2s linear infinite;
}
.hides {
display:none !important;}
#loader-wrapper {
    width: 100%;
    height: 100%;
    display: table;
    background: rgba(0,0,0,0.5);
    z-index: 3;
    position: fixed;
    overflow: auto;
    top: 0;
    left: 0;
    botton: 0;
    right: 0;
}
/*#loader-wrappers {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1000;
    background-color: #fff;
}*/

/*#loader {
    display: block;
    position: relative;
    left: 50%;
    top: 50%;
    width: 150px;
    height: 150px;
    margin: -75px 0 0 -75px;
    border-radius: 50%;
    border: 3px solid transparent;
    border-top-color: #3498db;
    -webkit-animation: spin 2s linear infinite;*/ /* Chrome, Opera 15+, Safari 5+ */
    /*animation: spin 2s linear infinite;*/ /* Chrome, Firefox 16+, IE 10+, Opera */
/*}

    #loader:before {
        content: "";
        position: absolute;
        top: 5px;
        left: 5px;
        right: 5px;
        bottom: 5px;
        border-radius: 50%;
        border: 3px solid transparent;
        border-top-color: #e74c3c;
        -webkit-animation: spin 3s linear infinite;*/ /* Chrome, Opera 15+, Safari 5+ */
        /*animation: spin 3s linear infinite;*/ /* Chrome, Firefox 16+, IE 10+, Opera */
    /*}

    #loader:after {
        content: "";
        position: absolute;
        top: 15px;
        left: 15px;
        right: 15px;
        bottom: 15px;
        border-radius: 50%;
        border: 3px solid transparent;
        border-top-color: #f9c922;
        -webkit-animation: spin 1.5s linear infinite;*/ /* Chrome, Opera 15+, Safari 5+ */
        /*animation: spin 1.5s linear infinite;*/ /* Chrome, Firefox 16+, IE 10+, Opera */
    /*}*/

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg); /* Chrome, Opera 15+, Safari 3.1+ */
        -ms-transform: rotate(0deg); /* IE 9 */
        transform: rotate(0deg); /* Firefox 16+, IE 10+, Opera */
    }

    100% {
        -webkit-transform: rotate(360deg); /* Chrome, Opera 15+, Safari 3.1+ */
        -ms-transform: rotate(360deg); /* IE 9 */
        transform: rotate(360deg); /* Firefox 16+, IE 10+, Opera */
    }
}

@keyframes spin {
    0% {
        -webkit-transform: rotate(0deg); /* Chrome, Opera 15+, Safari 3.1+ */
        -ms-transform: rotate(0deg); /* IE 9 */
        transform: rotate(0deg); /* Firefox 16+, IE 10+, Opera */
    }

    100% {
        -webkit-transform: rotate(360deg); /* Chrome, Opera 15+, Safari 3.1+ */
        -ms-transform: rotate(360deg); /* IE 9 */
        transform: rotate(360deg); /* Firefox 16+, IE 10+, Opera */
    }
}

/*Loader End*/


.table > thead {
    color: steelblue;
}

.table td, .table th {
    padding: 2px 16px;
    font-size: 14px;
    font-weight: normal;
}

.form-control {
    height: 25px !important;
    padding: 0px !important;
}

.headerblue {
    background-color: steelblue;
    color: white;
}

.dateControl {
    width: 170px;
    height: 30px;
}
.textControl {
    width: 50% !important;
    height: 30px;
}
.error_msg {
    display: inline-block !important;
    padding: 8px 10px !important;
    margin-bottom: 0 !important;
    margin-top: 0 !important;
    color: #f00;
    font-size: .7em;
    font-weight: 700;
    width: auto !important;
    background: #fcc;
    position: relative !important;
    left: 0;
    top: 0;
    margin-left:1%;
}
.font-bold {
font-weight:bold;}

